config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi

  config $NEW
}

preserve_perms etc/profile.d/weston.sh.new
preserve_perms etc/profile.d/weston.csh.new

( cd usr/lib ; rm -rf libweston-10.so )
( cd usr/lib ; ln -sf libweston-10.so.0 libweston-10.so )
( cd usr/lib ; rm -rf libweston-10.so.0 )
( cd usr/lib ; ln -sf libweston-10.so.0.0.0 libweston-10.so.0 )
( cd usr/lib ; rm -rf libweston-desktop-10.so )
( cd usr/lib ; ln -sf libweston-desktop-10.so.0 libweston-desktop-10.so )
( cd usr/lib ; rm -rf libweston-desktop-10.so.0 )
( cd usr/lib ; ln -sf libweston-desktop-10.so.0.0.0 libweston-desktop-10.so.0 )
( cd usr/lib/weston ; rm -rf libexec_weston.so )
( cd usr/lib/weston ; ln -sf libexec_weston.so.0 libexec_weston.so )
( cd usr/lib/weston ; rm -rf libexec_weston.so.0 )
( cd usr/lib/weston ; ln -sf libexec_weston.so.0.0.0 libexec_weston.so.0 )
